<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>M-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../SatellitesBalises/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="../SatellitesBalises/view/Simulation.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class view.<a href="../SatellitesBalises/view/Simulation.html" title="class in view">Simulation</a></dt>
<dd>
<div class="block">Méthode main.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html" class="type-name-link" title="class in back.mobileElement">MobileElement</a> - Class in <a href="../SatellitesBalises/back/mobileElement/package-summary.html">back.mobileElement</a></dt>
<dd>
<div class="block">Classe abstraite définissant un élément mobile.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#%3Cinit%3E(back.movement.MoveStrategy)" class="member-name-link">MobileElement(MoveStrategy)</a> - Constructor for class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Crée un élément mobile avec une stratégie fournie.</div>
</dd>
<dt><a href="../SatellitesBalises/back/SimulationContext.html#move()" class="member-name-link">move()</a> - Method in class back.<a href="../SatellitesBalises/back/SimulationContext.html" title="class in back">SimulationContext</a></dt>
<dd>
<div class="block">Lance une étape de simulation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Air.html#move()" class="member-name-link">move()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Air.html" title="class in back.staticElement">Air</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#move()" class="member-name-link">move()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Méthode abstraite définissant l'étape de simulation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Water.html#move()" class="member-name-link">move()</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Water.html" title="class in back.staticElement">Water</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategy.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move(MobileElement, int, int, int, int)</a> - Method in class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a></dt>
<dd>
<div class="block">Méthode définissant le déplacement d'un élément mobile.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategyHorizontal.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move(MobileElement, int, int, int, int)</a> - Method in class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategyHorizontal.html" title="class in back.movement">MoveStrategyHorizontal</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySatellite.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move(MobileElement, int, int, int, int)</a> - Method in class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategySatellite.html" title="class in back.movement">MoveStrategySatellite</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySinusoidale.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move(MobileElement, int, int, int, int)</a> - Method in class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategySinusoidale.html" title="class in back.movement">MoveStrategySinusoidale</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySurface.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move(MobileElement, int, int, int, int)</a> - Method in class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategySurface.html" title="class in back.movement">MoveStrategySurface</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategyVertical.html#move(back.mobileElement.MobileElement,int,int,int,int)" class="member-name-link">move(MobileElement, int, int, int, int)</a> - Method in class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategyVertical.html" title="class in back.movement">MoveStrategyVertical</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategy.html" class="type-name-link" title="class in back.movement">MoveStrategy</a> - Class in <a href="../SatellitesBalises/back/movement/package-summary.html">back.movement</a></dt>
<dd>
<div class="block">Stratégie de déplacements des éléments mobiles.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategy.html#%3Cinit%3E()" class="member-name-link">MoveStrategy()</a> - Constructor for class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategyHorizontal.html" class="type-name-link" title="class in back.movement">MoveStrategyHorizontal</a> - Class in <a href="../SatellitesBalises/back/movement/package-summary.html">back.movement</a></dt>
<dd>
<div class="block">Stratégie de déplacement horizontal.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategyHorizontal.html#%3Cinit%3E()" class="member-name-link">MoveStrategyHorizontal()</a> - Constructor for class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategyHorizontal.html" title="class in back.movement">MoveStrategyHorizontal</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySatellite.html" class="type-name-link" title="class in back.movement">MoveStrategySatellite</a> - Class in <a href="../SatellitesBalises/back/movement/package-summary.html">back.movement</a></dt>
<dd>
<div class="block">Stratégie de déplacement spécifique au satellite.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySatellite.html#%3Cinit%3E()" class="member-name-link">MoveStrategySatellite()</a> - Constructor for class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategySatellite.html" title="class in back.movement">MoveStrategySatellite</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySinusoidale.html" class="type-name-link" title="class in back.movement">MoveStrategySinusoidale</a> - Class in <a href="../SatellitesBalises/back/movement/package-summary.html">back.movement</a></dt>
<dd>
<div class="block">Stratégie de déplacement sinusoïdale.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySinusoidale.html#%3Cinit%3E()" class="member-name-link">MoveStrategySinusoidale()</a> - Constructor for class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategySinusoidale.html" title="class in back.movement">MoveStrategySinusoidale</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySurface.html" class="type-name-link" title="class in back.movement">MoveStrategySurface</a> - Class in <a href="../SatellitesBalises/back/movement/package-summary.html">back.movement</a></dt>
<dd>
<div class="block">Stratégie de déplacement spécifique à l'aller-retour de la balise à la
 surface.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategySurface.html#%3Cinit%3E()" class="member-name-link">MoveStrategySurface()</a> - Constructor for class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategySurface.html" title="class in back.movement">MoveStrategySurface</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategyVertical.html" class="type-name-link" title="class in back.movement">MoveStrategyVertical</a> - Class in <a href="../SatellitesBalises/back/movement/package-summary.html">back.movement</a></dt>
<dd>
<div class="block">Stratégie de déplacement vertical.</div>
</dd>
<dt><a href="../SatellitesBalises/back/movement/MoveStrategyVertical.html#%3Cinit%3E()" class="member-name-link">MoveStrategyVertical()</a> - Constructor for class back.movement.<a href="../SatellitesBalises/back/movement/MoveStrategyVertical.html" title="class in back.movement">MoveStrategyVertical</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
